> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a price levels

> Update a price levels

### Path parameters

<ParamField path="id" type="string" required>
  Price level ID
</ParamField>

### Request body

`UpdatePriceLevelRequest`

<ParamField body="adjustment_type" type="string,null" />

<ParamField body="adjustment_value" type="string,null" />

<ParamField body="description" type="string,null" />

<ParamField body="is_active" type="boolean,null" />

<ParamField body="name" type="string,null" />

### Responses

<ResponseField name="200" type="PriceLevelResponse" />

<ResponseField name="400" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request PUT \
    --url 'https://api.stateset.com/api/v1/price-levels/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY' \
    --header 'Content-Type: application/json' \
    --data '{
    "adjustment_type": null,
    "adjustment_value": null,
    "description": null,
    "is_active": null,
    "name": null
  }'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "adjustment_type": "string",
    "adjustment_value": "string",
    "code": "string",
    "currency": "string",
    "id": "string",
    "is_active": true,
    "name": "string"
  }
  ```
</ResponseExample>
